
kerio.waw.ui.httpWhiteListItemEditor = {

x_m: function(x_n) {
var
x_2w,
x_1b = kerio.lib,
x_x = x_1b.x_x,
x_o = (kerio.waw.status.x_p.x_q === x_r.x_s.x_t),
x_1d,
x_10,
x_1c,
x_yx,
x_16;
x_yx = ('httpWhiteListItemEditorAdd' !== x_n);
this.x_ga = x_n; x_2w = this.x_ga + '_';
x_1d = {
x_5p: x_o,
x_1e: [
{	x_23: x_x('Server:', 'interfaceRasEditor'),
x_1j: 'url',
x_93: 127,
x_ge: true,
x_b6: {
x_b7: false,
x_nv: 'x_nw'
}
},
{	x_23: x_x('Description:', 'common'),
x_1j: 'description',
x_93: 255,
x_ge: true,
x_b6: {
x_b7: true,
x_nv: 'x_nx'
}
}
]
};x_1c = new x_1b.x_1t(x_2w + 'x_1c', x_1d);
x_10 = {
x_5p: x_o,
x_1u: 350,
x_l0: 350,
x_1v: 150,
x_l1: 150,
x_1w: true,
x_1y: x_x('White List Item', 'httpWebFilter'),
x_1x: x_1c,

x_mc: function(x_32) {
var
x_16 = x_32.x_16;
if (!x_16.x_o4()) {x_16.x_24(false);
return;
}
x_16.x_iy.call(x_16);
}};x_10 = new x_fa.x_md(x_10);
x_16 = new x_1b.x_26(this.x_ga, x_10);
x_16.x_27(
{	x_5d: {},
x_1c: x_1c,
x_o5: [],
x_yx: x_yx,
x_yy: -1
}
);this.x_2a(x_16);
return x_16;
}, 
x_2a: function(x_2b) {

x_2b.x_2c = function(x_28) {
var
x_5d,
x_me,
x_o5;
x_5d = x_28.x_5d;
this.x_5d = x_5d;
x_o5 = x_5d.x_7i();
this.x_o5 = x_o5;
if (!this.x_yx) {
return;
}
x_me = x_5d.x_3v.x_40[0];
this.x_1c.x_7k(x_me.x_47);
this.x_yy = x_me.x_fl;
};
x_2b.x_iy = function() {
var
x_47,
x_o5,
x_yz,
x_z0,
x_z1,x_41, x_42,
x_yx,
x_yy,
x_5d,
x_6a;
x_z1 = true;
x_47 = this.x_1c.x_7i();
x_6a = x_47.url.toLocaleLowerCase();
x_o5 = this.x_o5;
x_yx = this.x_yx;
x_yy = this.x_yy;

for (x_41 = 0, x_42 = x_o5.length; x_41 < x_42; x_41++) {
x_yz = x_o5[x_41];
x_z0 = x_yz.url.toLocaleLowerCase();
if (x_z0 === x_6a) {
if (x_yx && x_41 === x_yy) {
continue;
}
x_z1 = false;
break;
}
}
if (!x_z1) {
x_fi.x_j2(kerio.lib.x_x('This server name already exists', 'httpWebFilter'));
this.x_24(false);
} else {
if (x_yx) {
x_o5[x_yy] = x_47;
} else {
x_o5.push(x_47);
}
x_5d = this.x_5d;
x_5d.x_7k(x_o5);
x_5d.x_dy();
this.x_2r();
x_5d.x_2p.x_g4(x_5d.x_w0);
}
};
x_2b.x_jo = function() {
this.x_1c.x_2h();
};} }; 